StreamType

Overview | Package | Class | Use | Tree | Deprecated | Index | Help

PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.ocap.si
Interface StreamType

    public interface StreamType

This interface represents valid values for the stream_type field in the PMT, and returned by the getStreamType method from an implemented object of the ProgramMapTable interface.

Field Summary
`static short` | `ASYNCHRONOUS_DATA` Asynchronous data (Data Service Extensions for MPEG-2 Transport, STD-096-011, Rev 1.0, General Instrument).
`static short` | `ATSC_AUDIO` ATSC A/53 audio (ATSC Standard A/53, 1995, ATSC Digital Television Standard).
`static short` | `AUXILIARY` ISO/IEC 13818-1 auxiliary.
`static short` | `DSM_CC` 13818-1 Annex A - DSM CC.
`static short` | `DSM_CC_MPE` ISO/IEC 13818-6 type A (Multi-protocol Encapsulation).
`static short` | `DSM_CC_SECTIONS` ISO/IEC 13818-6 type D (DSM-CC Sections any type, including private data).
`static short` | `DSM_CC_STREAM_DESCRIPTORS` ISO/IEC 13818-6 type C (DSM-CC Stream Descriptors).
`static short` | `DSM_CC_UN` ISO/IEC 13818-6 type B (DSM-CC U-N Messages).
`static short` | `H_222` ITU-T Rec.
`static short` | `ISOCHRONOUS_DATA` Isochronous data (Data Service Extensions for MPEG-2 Transport, STD-096-011, Rev 1.0, General Instrument).
`static short` | `MHEG` ISO/IEC 13522 MHEG.
`static short` | `MPEG_1_AUDIO` ISO/IEC 11172-3 Audio.
`static short` | `MPEG_1_VIDEO` ISO/IEC 11172-2 Video.
`static short` | `MPEG_2_AUDIO` ISO/IEC 13818-3 Audio.
`static short` | `MPEG_2_VIDEO` ITU-T Rec.
`static short` | `MPEG_PRIVATE_DATA` ITU-T Rec.
`static short` | `MPEG_PRIVATE_SECTION` ITU-T Rec.
`static short` | `STD_SUBTITLE` Standard subtitle.
`static short` | `VIDEO_DCII` DigiCipher II video.

Field Detail

### MPEG_1_VIDEO

    static final short MPEG_1_VIDEO

  ISO/IEC 11172-2 Video.

  See Also:
    Constant Field Values

### MPEG_2_VIDEO

    static final short MPEG_2_VIDEO

  ITU-T Rec. H.262 ISO/IEC 13818-2 Video or ISO/IEC 11172-2 constrained parameter video stream.

  See Also:
    Constant Field Values

### MPEG_1_AUDIO

    static final short MPEG_1_AUDIO

  ISO/IEC 11172-3 Audio.

  See Also:
    Constant Field Values

### MPEG_2_AUDIO

    static final short MPEG_2_AUDIO

  ISO/IEC 13818-3 Audio.

  See Also:
    Constant Field Values

### MPEG_PRIVATE_SECTION

    static final short MPEG_PRIVATE_SECTION

  ITU-T Rec. H.222.0 ISO/IEC 13818-1 private-sections.

  See Also:
    Constant Field Values

### MPEG_PRIVATE_DATA

    static final short MPEG_PRIVATE_DATA

  ITU-T Rec. H.222.0 ISO/IEC 13818-1 PES packets containing private data.

  See Also:
    Constant Field Values

### MHEG

    static final short MHEG

  ISO/IEC 13522 MHEG.

  See Also:
    Constant Field Values

### DSM_CC

    static final short DSM_CC

  13818-1 Annex A - DSM CC.

  See Also:
    Constant Field Values

### H_222

    static final short H_222

  ITU-T Rec. H.222.1.

  See Also:
    Constant Field Values

### DSM_CC_MPE

    static final short DSM_CC_MPE

  ISO/IEC 13818-6 type A (Multi-protocol Encapsulation).

  See Also:
    Constant Field Values

### DSM_CC_UN

    static final short DSM_CC_UN

  ISO/IEC 13818-6 type B (DSM-CC U-N Messages).

  See Also:
    Constant Field Values

### DSM_CC_STREAM_DESCRIPTORS

    static final short DSM_CC_STREAM_DESCRIPTORS

  ISO/IEC 13818-6 type C (DSM-CC Stream Descriptors).

  See Also:
    Constant Field Values

### DSM_CC_SECTIONS

    static final short DSM_CC_SECTIONS

  ISO/IEC 13818-6 type D (DSM-CC Sections any type, including private data).

  See Also:
    Constant Field Values

### AUXILIARY

    static final short AUXILIARY

  ISO/IEC 13818-1 auxiliary.

  See Also:
    Constant Field Values

### VIDEO_DCII

    static final short VIDEO_DCII

  DigiCipher II video.

  See Also:
    Constant Field Values

### ATSC_AUDIO

    static final short ATSC_AUDIO

  ATSC A/53 audio (ATSC Standard A/53, 1995, ATSC Digital Television Standard).

  See Also:
    Constant Field Values

### STD_SUBTITLE

    static final short STD_SUBTITLE

  Standard subtitle.

  See Also:
    Constant Field Values

### ISOCHRONOUS_DATA

    static final short ISOCHRONOUS_DATA

  Isochronous data (Data Service Extensions for MPEG-2 Transport, STD-096-011, Rev 1.0, General Instrument).

  See Also:
    Constant Field Values

### ASYNCHRONOUS_DATA

    static final short ASYNCHRONOUS_DATA

  Asynchronous data (Data Service Extensions for MPEG-2 Transport, STD-096-011, Rev 1.0, General Instrument).

  See Also:
    Constant Field Values

Overview | Package | Class | Use | Tree | Deprecated | Index | Help

PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD